{ pkgs ? import <nixpkgs> {}
}:

let
  inherit (pkgs) fetchgit;
  inherit (blockioPkgs) python3;

  blockioPkgs = import (fetchgit {
    url = "https://github.com/nyanloutre/nixpkgs.git";
    rev = "35c5c22bf3ab98d6273fef2b52ac521c3bf12ccd";
    sha256 = "02c7pdyf4q0d59jq4dh2gp18jkd2c0lw06c1gq2q8xf1zg5w392r";
  }){};
in

python3.pkgs.buildPythonApplication rec {
  name = "dogetipbot-telegram-${version}";
  version = "1.0";

  src = ./.;

  doCheck = false;

  propagatedBuildInputs = with python3.pkgs; [
    python-telegram-bot
    requests
    block-io
  ];
}
